/* Bean implemenatation of SalesOrder */

package team2.ejb.SalesManagement;

import java.io.*;
import java.util.*;
import javax.ejb.*;
import javax.naming.*;

public abstract class SalesOrderBean implements EntityBean
{
/* The ejbCreate method to create an Order and return the order ID */

	public String ejbCreate(String id,String itemname,String date,Double qty,Double price,String name) throws CreateException
	{
		this.setOrderId(id);
		this.setDate(date);
		this.setQuantity(qty);
		this.setPrice(price);
		this.setItemName(itemname);
		this.setPersonAssigned(name);
		this.setSoldTo("vamshi");
		return null;
	}
	public void ejbPostCreate(String id,String itemname,String date,Double qty,Double price,String name) throws CreateException
	{
	}

	public abstract String getDate();
        public abstract String getOrderId();
        public abstract String getItemName();
        public abstract Double getQuantity();
        public abstract Double getPrice();
        public abstract String getPersonAssigned();
        public abstract String getSoldTo();

        public abstract void setDate(String date);
        public abstract void setOrderId(String orid);
        public abstract void setItemName(String name);
        public abstract void setQuantity(Double qty);
        public abstract void setPersonAssigned(String name);
        public abstract void setPrice(Double price);
        public abstract void setSoldTo(String name);

  public void setEntityContext(EntityContext ctx)
   {
      // Not implemented.
   }
   public void unsetEntityContext()
   {
      // Not implemented.
   }
   public void ejbActivate()
   {
      // Not implemented.
   }
   public void ejbPassivate()
   {
      // Not implemented.
   }
   public void ejbLoad()
   {
      // Not implemented.
   }
   public void ejbStore()
   {
      // Not implemented.
   }
   public void ejbRemove()
   {
      // Not implemented.
   }
}
