package team2.ejb.InventoryManagement;
import java.io.*;
import javax.ejb.*;
import javax.naming.*;
import java.rmi.*;

public abstract class ItemBean implements EntityBean 
{
	public String ejbCreate(String id,String name,String desc, Double cost, Double qty) throws CreateException
	{
		setItemId(id);
		setItemName(name);
		setItemDescription(desc);
		setItemCost(cost);
		setItemQuantity( qty);
		return null;
	}
	public void ejbPostCreate(String id,String name,String desc, Double cost, Double qty)
	{}

// This is the primary key for item
	public abstract String getItemId();
	public abstract void setItemId(String id);
	public abstract String getItemName();
	public abstract void setItemName(String name);
	public abstract String getItemDescription();
	public abstract void setItemDescription(String str);
	public abstract Double getItemCost();
	public abstract void setItemCost(Double val);
	public abstract Double getItemQuantity();
	public abstract void setItemQuantity(Double val);

	 public void setEntityContext(EntityContext ctx)
   {
      // Not implemented.
   }
   public void unsetEntityContext()
   {
      // Not implemented.
   }
   public void ejbActivate()
   {
      // Not implemented.
   }
   public void ejbPassivate()
   {
      // Not implemented.
   }
   public void ejbLoad()
   {
      // Not implemented.
   }
   public void ejbStore()
   {
      // Not implemented.
   }
   public void ejbRemove()
   {
      // Not implememted
   }
}
