/* Remote Interface for PurchaseOrder Entity */

package team2.ejb.PurchaseManagement;

import java.io.*;
import javax.ejb.*;
import javax.naming.*;
import java.rmi.*;

public interface PurchaseOrderRemote extends EJBObject 
{
	public String getDate() throws RemoteException;
	public String getOrderId()throws RemoteException;
	public String getItemName()throws RemoteException;
	public Double getQuantity()throws RemoteException;
	public Double getPrice()throws RemoteException;
	public String getPersonAssigned()throws RemoteException;
	public String getBoughtFrom()throws RemoteException;
	
	public void setDate(String date)throws RemoteException;
	public void setOrderId(String orid)throws RemoteException;
	public void setItemName(String name)throws RemoteException;
	public void setQuantity(Double qty)throws RemoteException;
	public void setPrice(Double price)throws RemoteException;
	public void setPersonAssigned(String name)throws RemoteException;
	public void setBoughtFrom(String name)throws RemoteException;
}
