/* Remote Interface for the SalesServer */

package team2.ejb.SalesManagement;
import java.io.*;
import javax.ejb.*;
import java.rmi.*;

public interface SalesServerRemote extends EJBObject 
{

// Create a SalesOrder - only for administrator
 public void makeOrder(String id,String date,String name,Double qty,Double price,  String assignedTo) throws RemoteException;
	

// Lists all the salesIds of sales orders under this users name;
	public String[] getSalesOrders(String userName) throws RemoteException;

// Returns a sales report in the form of a string 
	public String completedSalesOrder(int id,String customer) throws RemoteException;

}
